(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./TextDrawer.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadTextShape = loadTextShape;
    const TextDrawer_js_1 = require("./TextDrawer.js");
    async function loadTextShape(engine, refresh = true) {
        engine.checkVersion("3.8.1");
        await engine.addShape(new TextDrawer_js_1.TextDrawer(), refresh);
    }
});
